"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var useState = React.useState;
var useBrowserStorage = function (storageType, key) {
    var getValueFromStorage = function () {
        if (storageType === "LOCAL") {
            var storedValue_1 = localStorage.getItem(key) || '';
            setStoredValue(getObjectValue(storedValue_1));
        }
        if (storageType === "LOCAL") {
            var storedValue_2 = sessionStorage.getItem(key);
            setStoredValue(getObjectValue(storedValue_2));
        }
    };
    var setValueToStorage = function (valueToSet) {
        if (storageType === "LOCAL") {
            localStorage.setItem(key, JSON.stringify(valueToSet));
        }
        if (storageType === "SESSION") {
            sessionStorage.setItem(key, JSON.stringify(valueToSet));
        }
        setStoredValue(valueToSet);
    };
    var clearValueFromStorage = function () {
        if (storageType === "LOCAL") {
            localStorage.removeItem(key);
        }
        if (storageType === "SESSION") {
            sessionStorage.removeItem(key);
        }
        setStoredValue(null);
    };
    var getObjectValue = function (value) {
        try {
            return JSON.parse(value);
        }
        catch (error) {
            return String(value);
        }
    };
    var _a = useState(getValueFromStorage()), storedValue = _a[0], setStoredValue = _a[1];
    return [storedValue, setValueToStorage, clearValueFromStorage];
};
exports.useBrowserStorage = useBrowserStorage;
